<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jumeirah.common.mapper.ContactStaffMapper">

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, phone, status, mc_id, create_time, update_time
    </sql>

    <select id="getContactStaffById" resultType="com.jumeirah.common.param.ContactStaffQueryVo">
        select
        <include refid="Base_Column_List"/>
        from contact_staff where id = #{id}
    </select>

    <select id="getContactStaffPageList" parameterType="com.jumeirah.common.param.ContactStaffPageParam"
            resultType="com.jumeirah.common.param.ContactStaffQueryVo">
        select
        <include refid="Base_Column_List"/>
        from contact_staff
    </select>

</mapper>
